<?php

	App::uses('CakeEventListener', 'Event');

	class PostcodeSurchargeListener implements CakeEventListener {

		public function implementedEvents() {
			return array(
				'Model.Order.updateOrderTotal' => 'calculateDeliverySurchargeCost',
			);
		}

		public function calculateDeliverySurchargeCost(CakeEvent $event) {
			
			//Check to see if the delivery address has been set on the order?
			$data = $event->data['Order'];

			if(! empty($data['DeliveryAddress']['postcode'])) {

				$PostcodeSurcharge = ClassRegistry::init('EvPostcodeSurcharge.PostcodeSurcharge');
				$postcodeSurcharge = $PostcodeSurcharge->calculateSurcharge($data['DeliveryAddress']['postcode']);

				if($postcodeSurcharge) {

					$event->data['Order']['Order']['delivery_surcharge'] = $postcodeSurcharge['PostcodeSurcharge']['surcharge'];
					$event->data['Order']['Order']['total'] += $postcodeSurcharge['PostcodeSurcharge']['surcharge'] + $postcodeSurcharge['PostcodeSurcharge']['vat'];
					$event->data['Order']['Order']['vat'] += $postcodeSurcharge['PostcodeSurcharge']['vat'];

				}
				
			}


		}

	}
